Import Timelines

Base URL
https://{kibana_url}
  • POST /api/timeline/_import
  • POST /s/{space_id}/api/timeline/_import
Auth

Import Timelines.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

The Timelines to import as a readable stream.

file object required
isImmutable enum

Whether the Timeline should be immutable

Values: true false

Responses

Indicates the import of Timelines was successful.

application/json
errors object[]

The list of failed Timeline imports

error object

The error containing the reason why the timeline could not be imported

message string

The reason why the timeline could not be imported

status_code number

The HTTP status code of the error

id string

The ID of the timeline that failed to import

success boolean

Indicates whether any of the Timelines were successfully imports

success_count number

The amount of successfully imported/updated Timelines

timelines_installed number

The amount of successfully installed Timelines

timelines_updated number

The amount of successfully updated Timelines

Indicates the import of Timelines was unsuccessful because of an invalid file extension.

application/json
body string

The error message

statusCode number

Indicates that we were unable to locate the saved object client necessary to handle the import.

application/json
body string

The error message

statusCode number

Indicates the import of Timelines was unsuccessful.

application/json
body string

The error message

statusCode number
Base URL
https://{kibana_url}